
DROP TABLE IF EXISTS artist, record, purchases, employees;

$sql = "SELECT title, year, genre, price
FROM record
ORDER BY title";

$sql = "SELECT title, year, genre, price
FROM record
ORDER BY title, year";

$sql = "SELECT artist.firstn, artist.lastn, record.genre, record.price
FROM artist
JOIN record
ON artist.record_id=artist.id;"

CREATE TABLE artist (
id INT AUTO_INCREMENT,
firstn VARCHAR(40),
lastn VARCHAR(40),
PRIMARY KEY (id),
);

CREATE TABLE record (
id INT AUTO_INCREMENT,
title VARCHAR(60),
type TINYTEXT,
year YEAR(4),
genre TINYTEXT,
price DECIMAL(10, 2) unsigned,
PRIMARY KEY(id),
FOREIGN KEY(artist_id)
        REFERENCES artist(id)
);

       
CREATE TABLE purchases (
purchase_id INT AUTO_INCREMENT,
title VARCHAR(50),
date TINYTEXT,
artist_id INT,
album TINYTEXT,
price DECIMAL(10, 2) unsigned,
PRIMARY KEY(id),
FOREIGN KEY(artist_id)
        REFERENCES artist(id)
);

CREATE TABLE employees (
emp_id INT AUTO_INCREMENT,
employee_first_name TINYTEXT,
employee_second_name TINYTEXT,
date_of_birth DATE(),
PRIMARY KEY(id)
);
