# Marksheet: Databases, Networks & the Web - Term 1 Lab Portfolio

|	Student ID	|	Mark (/10)	|
|-----------------------|-----------------------|
|	ma301bw		|	2		|

---

## What your mark means

|	Mark	|	Descriptor	|	Equivalent Classification	|
|---------------|-----------------------|---------------------------------------|
|	<4	|	Unsatisfactory	|	Unclassified (fail)		|
|	4	|	Acceptable	|	3				|
|	5	|	Satisfactory	|	2:2				|
|	6	|	Good		|	2:1				|
|	7	|	Excellent	|	1				|
|	>7	|	Outstanding	|	1				|

---

## Marker Comments

Overall a poor submission which demonstrates a limited understanding of the taught material. The commit history on gitlab suggests this was a rather last minute attempt, which might explain the incompleteness of the application. More effort should be made in term 2 to address gaps in your understanding through independent learning, and through seeking out support from tutors/peers where appropriate. A few problems highlighted below.

+ App not functional at URL specified in READM
+ PHP present in SQL file
+ Data types: Poor choice of data types in several tables (for example, TINYTEXT for date when a DATE/DATETIME/TIMESTAMP would be more appropriate)
+ Foreign keys: A foreign key specified in purchases table doesn't make sense - there's no field 'artist_id' in that table
+ Syntax error line 26 of dummy_data
+ Structure/navigation: include statements in index.php won't work as there is no views folder
+ App incomplete - no table join, form or transaction implemented

---

## Mark Grid

Breakdown of your marks. Marks are awarded out of 100 and divided by 10 to give you a scaled percentage.
**Please note, full marks will not be given where code bears a very close resemblance to that of the example app.**

|	REQUIREMENT											| Marks		|
|-------------------------------------------------------------------------------------------------------|---------------|
|	**BASIC**											|		|
|	Application is well organised with a logical directory structure				| 2/5		|
| 	Includes an .sql file containing a minimum of 4 TABLE CREATE statements				| 3/5		|
| 	Includes an .sql file containing INSERT statements for adding dummy data to tables		| 3/5		|
|	Statements use correct SQL syntax and make appropriate use of data types			| 2/5		|
|	Statements include 2 or more logical foreign key constraints					| 2/5		|
|	Application is deployed at the URL specified in the README file					| 3/5		|
| 	Application is navigable via a single point of entry						| 1/5		|
| 	Application has a minimum of 3 distinct views							| 2/5		|
| 	Successful use of `mysqli` or PDO extention to connect to database				| 2/5		|	
| 	Successful use of `mysqli` or PDO extention to query database					| 2/5		|
| 	A table join is used in one or more queries							| 0/5		|
| 	Application includes an HTML form which submits a POST request to a valid URL for processing	| 0/5		|
|	Form processing script executes some form of data manipulation statement on the database	| 0/5		|
| 	Some basic methods of data validation are used in the processing script				| 0/5		|
|	**HIGHER LEVEL**										|		|
| 	A transaction has been implemented in the application						| 0/5		|
| 	Evidence of extended learning (i.e. use of PHP functions/advanced SQL not taught on module)	| 0/15		|
| 	Contributions have been made on forum								| 0/5		|
| 	Regular commits have been made to GitLab							| 0/5		|
|	**TOTAL (UNSCALED)** 										| **22/100**	|
|	**TOTAL (SCALED)**  										| **2/10**	|

## In case of concerns

If you require further clarification on anything mentioned in the marker's **comments**, or if you have a **reasonable complaint** about your mark, please email Sorrel (s.harriet@gold.ac.uk). Be aware that a minor adjustment to your mark may not affect the scaled percentage.
